## calligra 3.1.0.1+rb2

=== sheets/CMakeLists.txt ===
project(calligra-sheets)

# TEMPORARY: for  Qt5/KF5 build porting phase deprecation warnings are only annoying noise
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
    add_definitions(-Wno-deprecated -Wno-deprecated-declarations)
endif ()

include_directories( ${CMAKE_SOURCE_DIR}/interfaces
                    ${KOMAIN_INCLUDES}
                    ${KOTEXT_INCLUDES}
                    ${TEXTLAYOUT_INCLUDES}
                    ${Boost_INCLUDE_DIR}
                    ${EIGEN3_INCLUDE_DIR} )

if (SHOULD_BUILD_PART_SHEETS)

# have their own translation domain
add_subdirectory( shape )
add_subdirectory( plugins )

add_definitions(-DTRANSLATION_DOMAIN=\"calligrasheets\")

add_subdirectory( data )
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()
add_subdirectory( dtd )
add_subdirectory( functions )

#add_definitions(-DCALLIGRA_SHEETS_MT)

if(NOT Qt5Sql_FOUND)
    add_definitions(-DQT_NO_SQL)
endif()

########### next target ###############
set (chart_DIR_SRCS
    chart/ChartDatabaseSelectorFactory.cpp
    chart/ChartDatabaseSelector.cpp
    chart/ChartDialog.cpp
    )

ki18n_wrap_ui(chart_DIR_SRCS
    chart/ChartDatabaseSelector.ui
    )

set (commands_DIR_SRCS
    commands/AbstractRegionCommand.cpp
    commands/ApplyFilterCommand.cpp
    commands/AutoFillCommand.cpp
    commands/AutoFilterCommand.cpp
    commands/AutoFormatCommand.cpp
    commands/BorderColorCommand.cpp
    commands/CommentCommand.cpp
    commands/ConditionCommand.cpp
    commands/CopyCommand.cpp
    commands/CSVDataCommand.cpp
    commands/DataManipulators.cpp
    commands/DeleteCommand.cpp
    commands/IndentationCommand.cpp
    commands/LinkCommand.cpp
    commands/MergeCommand.cpp
    commands/NamedAreaCommand.cpp
    commands/PageBreakCommand.cpp
    commands/PasteCommand.cpp
    commands/PrecisionCommand.cpp
    commands/RowColumnManipulators.cpp
    commands/SheetCommands.cpp
    commands/SortManipulator.cpp
    commands/SpellCheckCommand.cpp
    commands/StyleCommand.cpp
    commands/ValidityCommand.cpp
    )

set (database_DIR_SRCS
    #database/Database.cpp
    #database/DatabaseManager.cpp
    database/DatabaseSource.cpp
    database/DatabaseSourceQuery.cpp
    database/DatabaseSourceSql.cpp
    database/DatabaseSourceTable.cpp
    #database/Filter.cpp
    database/FilterPopup.cpp
    )

set (dialogs_DIR_SRCS
    dialogs/AddNamedAreaDialog.cpp
    dialogs/AngleDialog.cpp
    dialogs/AutoFormatDialog.cpp
    dialogs/CharacterSelectDialog.cpp
    dialogs/CommentDialog.cpp
    dialogs/ConditionalDialog.cpp
    dialogs/ConsolidateDialog.cpp
    dialogs/CSVDialog.cpp
    dialogs/DatabaseDialog.cpp
    dialogs/DocumentSettingsDialog.cpp
    dialogs/FindDialog.cpp
    dialogs/FormulaDialog.cpp
    dialogs/GoalSeekDialog.cpp
    dialogs/GotoDialog.cpp
    dialogs/InsertDialog.cpp
    dialogs/LayoutDialog.cpp
    dialogs/LinkDialog.cpp
    dialogs/ListDialog.cpp
    dialogs/NamedAreaDialog.cpp
    dialogs/PasteInsertDialog.cpp
    dialogs/Resize2Dialog.cpp
    dialogs/SeriesDialog.cpp
    dialogs/ShowDialog.cpp
    dialogs/ShowColRowDialog.cpp
    dialogs/SortDialog.cpp
    dialogs/SpecialPasteDialog.cpp
    dialogs/StyleManagerDialog.cpp
    dialogs/SubtotalDialog.cpp
    dialogs/ValidityDialog.cpp
    dialogs/pivot.cpp
    dialogs/pivotfilters.cpp
    dialogs/pivotoptions.cpp
    dialogs/pivotmain.cpp

    )


ki18n_wrap_ui(dialogs_DIR_SRCS
    dialogs/ConsolidateWidget.ui
    dialogs/ConsolidateDetailsWidget.ui
    dialogs/FontWidget.ui
    dialogs/GoalSeekWidget.ui
    dialogs/PositionWidget.ui
    dialogs/ProtectionWidget.ui
    dialogs/SpecialPasteWidget.ui
    dialogs/SortWidget.ui
    dialogs/SortDetailsWidget.ui
    dialogs/SubtotalWidget.ui
    dialogs/SubtotalsDetailsWidget.ui
    dialogs/pivot.ui
    dialogs/pivotfilters.ui
    dialogs/pivotoptions.ui
    dialogs/pivotmain.ui

    )

set (functions_DIR_SRCS
    functions/helper.cpp
    )

if(Qt5DBus_FOUND)
set (interfaces_DIR_SRCS
    interfaces/MapAdaptor.cpp
    interfaces/SheetAdaptor.cpp
    interfaces/ViewAdaptor.cpp
    )
endif()

set (odf_DIR_SRCS
    odf/SheetsOdfDoc.cpp
    odf/SheetsOdfMap.cpp
    odf/SheetsOdfSheet.cpp
    odf/SheetsOdfCell.cpp
    odf/SheetsOdfStyle.cpp
    odf/SheetsOdfRegion.cpp
    odf/SheetsOdfCondition.cpp
    odf/SheetsOdfValidity.cpp
    odf/GenValidationStyle.cpp
    )

set (part_DIR_SRCS
    part/CanvasBase.cpp
    part/Canvas.cpp
    part/CanvasItem.cpp
    part/CellTool.cpp
    part/CellToolFactory.cpp
    #part/Digest.cpp
    part/Doc.cpp
    part/Part.cpp
    part/Factory.cpp
    part/Find.cpp
    part/Headers.cpp
    part/HeaderWidgets.cpp
    part/HeaderItems.cpp
    part/PrintJob.cpp
    part/ToolRegistry.cpp
    part/TabBar.cpp
    part/View.cpp
    part/commands/DefinePrintRangeCommand.cpp
    part/commands/PageLayoutCommand.cpp
    part/dialogs/PageLayoutDialog.cpp
    part/dialogs/PreferenceDialog.cpp
    part/dialogs/SheetPropertiesDialog.cpp
    part/dialogs/SheetSelectPage.cpp
)

ki18n_wrap_ui(part_DIR_SRCS
    part/dialogs/FileOptionsWidget.ui
    part/dialogs/InterfaceOptionsWidget.ui
    part/dialogs/PageLayoutSheetPage.ui
    part/dialogs/SheetPropertiesWidget.ui
    part/dialogs/SheetSelectWidget.ui
)

set (ui_DIR_SRCS
    ui/AbstractSelectionStrategy.cpp
    ui/ActionOptionWidget.cpp
    ui/AutoFillStrategy.cpp
    ui/CellEditorBase.cpp
    ui/CellEditor.cpp
    ui/CellEditorDocker.cpp
    ui/CellToolBase.cpp
    ui/CellToolBase_p.cpp
    ui/CellView.cpp
    ui/DragAndDropStrategy.cpp
    ui/FormulaEditorHighlighter.cpp
    ui/FunctionCompletion.cpp
    ui/ExternalEditor.cpp
    ui/HyperlinkStrategy.cpp
    ui/LocationComboBox.cpp
    ui/MapViewModel.cpp
    ui/MergeStrategy.cpp
    ui/PasteStrategy.cpp
    ui/PixmapCachingSheetView.cpp
    ui/RegionSelector.cpp
    ui/RightToLeftPaintingStrategy.cpp
    ui/Selection.cpp
    ui/SelectionStrategy.cpp
    ui/SheetView.cpp
)

set (calligrasheetscommon_LIB_SRCS
    MapModel.cpp
    PageManager.cpp
    RegionModel.cpp
    tests/inspector.cpp
    ${chart_DIR_SRCS}
    ${commands_DIR_SRCS}
    ${database_DIR_SRCS}
    ${dialogs_DIR_SRCS}
    ${functions_DIR_SRCS}
    ${part_DIR_SRCS}
    ${ui_DIR_SRCS}
    )

if(Qt5DBus_FOUND)
set (calligrasheetscommon_LIB_SRCS
    ${calligrasheetscommon_LIB_SRCS}
    ${interfaces_DIR_SRCS}
    )
endif()

set (calligrasheetsodf_LIB_SRCS
    SheetsDebug.cpp

    part/Digest.cpp
    ApplicationSettings.cpp
    Binding.cpp
    BindingManager.cpp
    BindingModel.cpp
    BindingStorage.cpp
    CalculationSettings.cpp
    Cell.cpp
    CellStorage.cpp
    Cluster.cpp
    Condition.cpp
    ConditionsStorage.cpp
    Currency.cpp
    Damages.cpp
    DependencyManager.cpp
    DocBase.cpp
    Format.cpp
    Formula.cpp
    HeaderFooter.cpp
    Localization.cpp
    Map.cpp
    NamedAreaManager.cpp
    Number.cpp
    PrintSettings.cpp
    ProtectableObject.cpp
    RecalcManager.cpp
    RectStorage.cpp
    Region.cpp
    RowColumnFormat.cpp
    RowFormatStorage.cpp
    RowRepeatStorage.cpp
    ShapeApplicationData.cpp
    Sheet.cpp
    SheetAccessModel.cpp
    SheetModel.cpp
    Style.cpp
    StyleManager.cpp
    StyleStorage.cpp
    Util.cpp
    Validity.cpp
    ValidityStorage.cpp
    Value.cpp
    ValueCalc.cpp
    ValueConverter.cpp
    ValueFormatter.cpp
    ValueParser.cpp

    database/Database.cpp
    database/DatabaseManager.cpp
    database/DatabaseStorage.cpp
    database/Filter.cpp

    ${odf_DIR_SRCS}

    # TODO: move the formula evaluation out of Formula.cpp so these files can move out of libcalligrasheetsodf
    Function.cpp
    FunctionDescription.cpp
    FunctionModule.cpp
    FunctionModuleRegistry.cpp
    FunctionRepository.cpp

    # TODO: move HeaderFooter from SheetPrint to PrintSettings, and replace SheetPrint with PrintSettings in Sheet to get rid of this dependency
    SheetPrint.cpp
    SheetPrint_p.cpp
    )


add_library(calligrasheetsodf SHARED ${calligrasheetsodf_LIB_SRCS})
generate_export_header(calligrasheetsodf
    EXPORT_FILE_NAME sheets_odf_generated_export.h
    BASE_NAME CALLIGRA_SHEETS_ODF
)

target_link_libraries(calligrasheetsodf
    PUBLIC
        komain
        KF5::KDELibs4Support
    PRIVATE
        koplugin
)

set_target_properties(calligrasheetsodf PROPERTIES
   VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS calligrasheetsodf ${INSTALL_TARGETS_DEFAULT_ARGS})


add_library(calligrasheetscommon SHARED ${calligrasheetscommon_LIB_SRCS})
generate_export_header(calligrasheetscommon
    EXPORT_FILE_NAME sheets_common_generated_export.h
    BASE_NAME CALLIGRA_SHEETS_COMMON
)

target_link_libraries(calligrasheetscommon
    PUBLIC
        komain
        calligrasheetsodf
    PRIVATE
        koplugin
        KF5::SonnetCore
        KF5::SonnetUi
        KF5::NotifyConfig
        KF5::KCMUtils
)
if(Qt5Sql_FOUND)
    target_link_libraries(calligrasheetscommon PRIVATE Qt5::Sql)
endif()


set_target_properties(calligrasheetscommon PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS calligrasheetscommon  ${INSTALL_TARGETS_DEFAULT_ARGS})
########### next target ###############

set (calligrasheetspart_PART_SRCS part/Factory_init.cpp )

add_library(calligrasheetspart MODULE ${calligrasheetspart_PART_SRCS})

calligra_part_desktop_to_json(calligrasheetspart sheetspart.desktop)

target_link_libraries(calligrasheetspart calligrasheetscommon )

install(TARGETS calligrasheetspart  DESTINATION ${PLUGIN_INSTALL_DIR}/calligra/parts)

########### install files ###############

install( FILES  calligrasheets.rc calligrasheets_readonly.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/calligrasheets)
install( FILES  ui/CellToolOptionWidgets.xml DESTINATION ${DATA_INSTALL_DIR}/calligrasheets)
install( FILES  calligrasheets.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES  calligrasheetsrc DESTINATION ${CONFIG_INSTALL_DIR})

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended
# propertiessheets_plugin.desktop, sheets_viewplugin.desktop

if (SHOULD_BUILD_DEVEL_HEADERS)

install( FILES
    sheets_odf_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/sheets_odf_generated_export.h
    sheets_common_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/sheets_common_generated_export.h

    calligra_sheets_limits.h

    Cell.h
    CellStorage.h
    Condition.h
    Currency.h
    DocBase.h
    Format.h
    Global.h
    Map.h
    Number.h
    odf/OdfLoadingContext.h
    PointStorage.h
    PrintSettings.h
    ProtectableObject.h
    RectStorage.h
    Region.h
    RowColumnFormat.h
    RowFormatStorage.h
    RTree.h
    Sheet.h
    Style.h
    Value.h
    ValueCalc.h
    ValueConverter.h
    ValueStorage.h
DESTINATION ${INCLUDE_INSTALL_DIR}/sheets COMPONENT Devel)
install( FILES
    part/CanvasBase.h
    part/CanvasItem.h
    part/CellTool.h
    part/Doc.h
    part/Part.h
    part/Find.h
    part/HeaderItems.h
    part/Headers.h
    part/ToolRegistry.h
    part/View.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligrasheets/part COMPONENT Devel)
install( FILES
    ui/CellToolBase.h
    ui/CellEditorBase.h
    ui/Selection.h
    ui/SheetView.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligrasheets/ui COMPONENT Devel)
install( FILES
    database/Database.h
    database/Filter.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligrasheets/database COMPONENT Devel)
install( FILES
    commands/AbstractRegionCommand.h
    commands/DataManipulators.h
    commands/SortManipulator.h
    dialogs/pivot.h
    dialogs/pivotfilters.h
    dialogs/pivotoptions.h
    dialogs/pivotmain.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligrasheets/commands COMPONENT Devel)

endif()

endif ()

########### APP ###############

if (SHOULD_BUILD_APP_SHEETS)

set (calligrasheets_KDEINIT_SRCS part/Main.cpp )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/pics/*-apps-calligrasheets.png")
ecm_add_app_icon(kdeinit_app_ICONS_SRCS ICONS ${ICONS_SRCS})
if(WIN32)

=== plugins/spacenavigator/CMakeLists.txt ===
project( spacenavigator )

include_directories( ${FLAKE_INCLUDES}  ${SPNAV_INCLUDE_DIR})


########### Flake Plugin library ###############

set ( spacenavigator_SRCS
    SpaceNavigatorDebug.cpp
    Plugin.cpp
    SpaceNavigatorDevice.cpp
    SpaceNavigatorPollingThread.cpp
    SpaceNavigatorEvent.cpp
)

add_library(calligra_device_spacenavigator MODULE ${spacenavigator_SRCS})
calligra_device_desktop_to_json(calligra_device_spacenavigator calligra_device_spacenavigator.desktop)
target_link_libraries(calligra_device_spacenavigator flake ${SPNAV_LIBRARY} ${X11_LIBRARIES})
install(TARGETS calligra_device_spacenavigator DESTINATION ${PLUGIN_INSTALL_DIR}/calligra/devices)

=== sheets/dtd/CMakeLists.txt ===
install( FILES  kspread.dtd  DESTINATION ${DATA_INSTALL_DIR}/calligrasheets/dtd)

=== words/styles/CMakeLists.txt ===
install( FILES
         defaultstyles.xml
         DESTINATION ${DATA_INSTALL_DIR}/calligrawords/styles)

=== filters/words/mobi/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}/filters/words/epub
)
set(odt2mobi_PART_SRCS
  MobiExportDebug.cpp
  exportmobi.cpp
  MobiHeaderGenerator.cpp
  MobiFile.cpp
  PalmDocCompression.cpp
  OdtMobiHtmlConverter.cpp

  ${CMAKE_SOURCE_DIR}/filters/words/epub/FileCollector.cpp
  ${CMAKE_SOURCE_DIR}/filters/words/epub/OdfParser.cpp
)


add_library(calligra_filter_odt2mobi MODULE ${odt2mobi_PART_SRCS})
set_target_properties(calligra_filter_odt2mobi PROPERTIES COMPILE_DEFINITIONS "DEBUG_MOBI=1")

target_link_libraries(calligra_filter_odt2mobi komain Qt5::Svg)

install(TARGETS calligra_filter_odt2mobi  DESTINATION ${PLUGIN_INSTALL_DIR}/calligra/formatfilters)
calligra_filter_desktop_to_json(calligra_filter_odt2mobi calligra_filter_odt2mobi.desktop)

=== sheets/plugins/scripting/scripts/CMakeLists.txt ===
install(FILES
    scripts.rc
    DESTINATION ${DATA_INSTALL_DIR}/calligrasheets/scripts)

install(FILES
    csvimport.py csvexport.py csvoptions.ui
    vcardimport.py
    htmlexport.py htmlexportinfos.ui
    odfpyexport.py
    logger.py
    xmlviewer.py
    myorca.py
    DESTINATION ${DATA_INSTALL_DIR}/calligrasheets/scripts/extensions)

install(FILES
    functions.py
    rpyfunctions.py
    yfinance.py yweather.py
    pytime.py pyregexp.py
    DESTINATION ${DATA_INSTALL_DIR}/calligrasheets/scripts/functions)

install(FILES
    consoledocker.py
    snippetsdocker.rb
    DESTINATION ${DATA_INSTALL_DIR}/calligrasheets/scripts/docker)

=== words/plugins/scripting/scripts/CMakeLists.txt ===
install(FILES scripts.rc DESTINATION ${DATA_INSTALL_DIR}/calligrawords/scripts)

#install(FILES variable_readfile.py DESTINATION ${DATA_INSTALL_DIR}/calligrawords/scripts/variables)

install(FILES
    importfile.py
    importdoxyxml.py importdoxyxmloptions.ui importdoxyxmlstyle.ui
    ooimport.py ooimportconfig.ui ooimport.ui oouno.py
    exportfile.py
    kwreportlab.py
    xmlviewer.py
    doctree.rb
    onlinehelp.py
    DESTINATION ${DATA_INSTALL_DIR}/calligrawords/scripts/extensions)

install(FILES
    sample_cursor.rb
    sample_actions.py
    sample_toolactions.py
    sample_progressbar.py
    sample_text.py
    sample_lists_html.py
    sample_lists_cursor.py
    sample_tables.py
    sample_variables.py
    sample_insertshape.py
    sample_allshapes.py
    DESTINATION ${DATA_INSTALL_DIR}/calligrawords/scripts/samples)

=== debian/changelog ===
calligra (1:3.1.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Jan 2021 13:24:18 +0800

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export QT_SELECT=5

# conflicts with old calligra-l10n
# (mostly copied from l10n-packages.mk in pkg-kde-tools)
l10npkgs_firstversion_ok := 1:3.1.0~
l10npkgs_prefix := calligra-l10n
l10npkgs_fixed_version_comma := (<< $(l10npkgs_firstversion_ok)),
# the list of languages in calligra < 3.1
l10npkgs_langs := bs ca cavalencia cs da de el engb es et eu fi fr gl hu it ja kk nb nds nl pl pt ptbr ru sk sv tr uk zhcn zhtw
l10npkgs_packages_rels := $(patsubst %,$(l10npkgs_prefix)-% $(l10npkgs_fixed_version_comma),$(l10npkgs_langs))

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DBUILD_app_cstester=OFF -DBUILD_app_devtools=OFF -DCALLIGRA_SHOULD_BUILD_UNMAINTAINED=ON

override_dh_auto_install:
	dh_auto_install
	# Remove development symlinks of libraries
	find debian/tmp/usr/lib -name '*.so' -type l -print -delete
	# Remove mimetypes already provided by shared-mime-info
	rm -f debian/tmp/usr/share/mime/packages/msooxml-all.xml
	rm -f debian/tmp/usr/share/mime/packages/x-iwork-keynote-sffkey.xml
	# Remove fonts already in fonts-lyx package
	rm -f debian/tmp/usr/share/calligra_shape_formula/fonts/cmex10.ttf
	# Remove stuff belonging to unported calligraflow
	rm -f debian/tmp/usr/lib/*/qt5/plugins/calligra/formatfilters/calligra_filter_vsdx2odg.so
	rm -f debian/tmp/usr/lib/*/qt5/plugins/calligra/formatfilters/calligra_filter_wpg2odg.so
	rm -f debian/tmp/usr/share/kservices5/flow_vsdx_thumbnail.desktop
	rm -f debian/tmp/usr/share/kservices5/flow_wpg_thumbnail.desktop
	# Remove x-test "translations"
	rm -fr debian/tmp/usr/share/locale/x-test
	# Remove translations of stuff not shipped
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/braindump.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_semanticitem_*.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_comment.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_template.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/flow.mo

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'

override_dh_gencontrol:
	dh_gencontrol -- -Vcalligra:oldLangs='$(l10npkgs_packages_rels)'

.PHONY: override_dh_auto_test

## calligra 3.2.0+dfsg

=== debian/changelog ===
calligra (1:3.2.0+dfsg-1ubuntu2) groovy; urgency=medium

  * No-change rebuild against libgsl25

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 07 May 2020 21:55:22 +0000

calligra (1:3.2.0+dfsg-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't provide transitional l10n and calligra-reports-web-element
      packages. Depreciated in Ubuntu after 16.04.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 15:36:33 +0100

calligra (1:3.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Replace the transitional libfontconfig1-dev build dependency with
    libfontconfig-dev.
  * Drop the man pages, as they do not provide any useful content.
  * Switch the watch file back to stable releases.
  * Update the build dependencies according to the upstream build system:
    - bump libkchart-dev to 2.7.0
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch Vcs-Git back to the master packaging branch.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Fri, 24 Apr 2020 13:25:56 +0200

calligra (1:3.1.90+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release (3.2.0 beta 1).
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11-missing-headers.patch: drop, backported
      from upstream
    - upstream_Fix-compilation-with-Qt-5.11-missing-include.patch: drop,
      backported from upstream
    - upstream_Fix-build-with-poppler-0.69.patch: drop, backported from upstream
    - upstream_Fix-build-with-poppler-0.64.patch: drop, backported from upstream
    - upstream_Mark-the-functions-as-override.patch: drop, backported from
      upstream
    - upstream_GBool-bool.patch: drop, backported from upstream
    - upstream_Fix-build-with-poppler-0.64-take-2.patch: drop, backported from
      upstream
    - upstream_Fix-build-with-poppler-0.71.patch: drop, backported from upstream
    - upstream_Guchar-unsigned-char.patch: drop, backported from upstream
    - upstream_Fix-GooString-not-having-getCString-anymore.patch: drop,
      backported from upstream
    - upstream_Fix-the-way-poppler-headers-are-included.patch: drop, backported
      from upstream
    - upstream_Fix-compilation-with-Qt-5.13-missing-include.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - remove no more used: libkf5akonadicontact-dev, libkf5holidays-dev, and
      libqt5webkit5-dev
  * Update install files.
  * Switch the watch file to the unstable releases for now.
  * Point Vcs-Git to the experimental packaging branch.
  * Drop the removal of files that are no more shipped.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Apr 2020 09:45:00 +0200

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <perso@adrieng.fr>,
           Raúl Sánchez Siles <rasasi78@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.19.0),
               gettext,
               kross-dev (>= 5.7.0),
               libboost-dev,
               libboost-system-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libgit2-dev,
               libglib2.0-dev,
               libgsl-dev,
               libkchart-dev (>= 2.7.0~),
               libkf5activities-dev (>= 5.7.0),
               libkf5archive-dev (>= 5.7.0),
               libkf5akonadi-dev,
               libkf5attica-dev,
               libkf5calendarcore-dev,
               libkf5codecs-dev (>= 5.7.0),
               libkf5completion-dev (>= 5.7.0),
               libkf5config-dev (>= 5.7.0),
               libkf5configwidgets-dev (>= 5.7.0),
               libkf5contacts-dev,
               libkf5coreaddons-dev (>= 5.7.0),
               libkf5dbusaddons-dev (>= 5.7.0),
               libkf5doctools-dev (>= 5.7.0),
               libkf5guiaddons-dev (>= 5.7.0),
               libkf5i18n-dev (>= 5.7.0),
               libkf5iconthemes-dev (>= 5.7.0),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5jobwidgets-dev (>= 5.7.0),
               libkf5kcmutils-dev (>= 5.7.0),
               libkf5kdelibs4support-dev (>= 5.7.0),
               libkf5khtml-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.7.0),
               libkf5notifications-dev (>= 5.7.0),
               libkf5notifyconfig-dev (>= 5.7.0),
               libkf5parts-dev (>= 5.7.0),
               libkf5sonnet-dev (>= 5.7.0),
               libkf5textwidgets-dev (>= 5.7.0),
               libkf5wallet-dev (>= 5.7.0),
               libkf5widgetsaddons-dev (>= 5.7.0),
               libkf5windowsystem-dev (>= 5.7.0),
               libkf5xmlgui-dev (>= 5.7.0),
               libkproperty3-dev (>= 3.1.0~),
               libkreport3-dev (>= 3.1.0~),
               liblcms2-dev (>= 2.4),
               libodfgen-dev,
               libopenexr-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-private-dev,
               libqca-qt5-2-dev,
               libqt5opengl5-dev (>= 5.3.0),
               libqt5svg5-dev (>= 5.3.0),
               libqt5x11extras5-dev (>= 5.3.0),
               libspnav-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libx11-dev,
               libxml2-dev,
               okular-dev (>= 4:17.08),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               pstoedit,
               qtbase5-dev (>= 5.3.0),
               shared-mime-info,
               zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://www.calligra.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calligra.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calligra

Package: calligra
Architecture: all
Depends: calligrasheets (>= ${source:Version}),
#         calligraplan (>= ${source:Version}),
         calligrastage (>= ${source:Version}),
         calligrawords (>= ${source:Version}),
         karbon (>= ${source:Version}),
#         kexi (>= ${source:Version}),
#         krita (>= ${source:Version}),
         ${misc:Depends}
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Breaks: ${calligra:oldLangs}
Replaces: ${calligra:oldLangs}
Homepage: https://www.calligra.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: calligrasheets
Architecture: any
Section: math
Depends: calligra-libs (= ${binary:Version}),
         calligrasheets-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: https://www.calligra.org/sheets/
Description: spreadsheet for the Calligra Suite
 Tables is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics. It is the successor of KSpread.
 .
 This package is part of the Calligra Suite.

Package: calligrasheets-data
Architecture: all
Section: math
Depends: ${misc:Depends}
Breaks: calligrasheets (<< 1:3.1.0+dfsg~),
        ${calligra:oldLangs}
Replaces: calligrasheets (<< 1:3.1.0+dfsg~),
          ${calligra:oldLangs}
Homepage: https://www.calligra.org/sheets/
Description: data files for Sheets spreadsheet
 This package contains architecture-independent data files for Sheets,
 the spreadsheet shipped with the Calligra Suite.
 .
 See the calligrasheets package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrawords
Architecture: any
Section: text
Depends: calligra-libs (= ${binary:Version}),
         calligrawords-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Homepage: https://www.calligra.org/words/
Description: word processor for the Calligra Suite
 Words is a FrameMaker-like word processing and desktop publishing
 application. It is capable of creating polished and professional
 looking documents. It can be used for desktop publishing, but also for
 "normal" word processing, like writing letters, reports and so on.
 .
 This package is part of the Calligra Suite.

Package: calligrawords-data
Architecture: all
Section: text
Depends: ${misc:Depends}
Breaks: ${calligra:oldLangs}
Replaces: ${calligra:oldLangs}
Homepage: https://www.calligra.org/words/
Description: data files for Words word processor
 This package contains architecture-independent data files for Words,
 the word processor shipped with the Calligra Suite.
 .
 See the calligrawords package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligrastage
Architecture: any
Depends: calligra-libs (= ${binary:Version}),
         calligrastage-data (>=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: https://www.calligra.org/stage/
Description: presentation program for the Calligra Suite
 Stage is an easy to use yet still flexible presentation application. You can
 easily create presentations containing a rich variety of elements, from
 graphics to text, from charts to images. Stage is extensible through a
 plugin system, so it is easy to add new effects, new content elements or even
 new ways of managing your presentation.
 .
 Stage natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications, which includes Microsoft
 Office. Examples of its easy-to-use features are support for layouts, a
 special slide overview view during presentations for the presenter, support
 for many different master sliders in one presentation, cool transitions and
 a useful notes feature.
 .
 This package is part of the Calligra Suite.

Package: calligrastage-data
Architecture: all
Depends: ${misc:Depends}
Breaks: ${calligra:oldLangs}
Replaces: ${calligra:oldLangs}
Homepage: https://www.calligra.org/stage/
Description: data files for Calligra Stage
 This package contains architecture-independent data files for Stage,
 the presentation program shipped with the Calligra Suite.
 .
 See the calligrastage package for further information.
 .
 This package is part of the Calligra Suite.

Package: calligra-libs
Section: libs
Architecture: any
Depends: calligra-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-lyx, libqca-qt5-2-plugins, python, ruby
Suggests: texlive, wordnet
Description: common libraries and binaries for the Calligra Suite
 This package provides the libraries and binaries that are shared amongst
 the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: calligra-data
Section: libs
Architecture: all
Depends: ${misc:Depends}
Suggests: khelpcenter
Breaks: ${calligra:oldLangs}
Replaces: ${calligra:oldLangs}
Description: common shared data for the Calligra Suite
 This package provides the architecture-independent data that is shared
 amongst the various components of Calligra.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odp
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Breaks: ${calligra:oldLangs}
Replaces: ${calligra:oldLangs}
Description: Okular backend for ODP documents
 This package provides a backend for Okular to view OpenDocument Presentation
 (ODP) documents, but also PowerPoint and PPTX documents.
 .
 This package is part of the Calligra Suite.

Package: okular-backend-odt
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: okular
Enhances: okular
Breaks: ${calligra:oldLangs}
Replaces: ${calligra:oldLangs}
Description: Okular backend for ODT documents
 This package provides a backend for Okular to view OpenDocument Text
 (ODT) documents, but also DOC, DOCX, RTF and WPD documents.
 .
 This package is part of the Calligra Suite.

Package: calligra-gemini
Architecture: any
Depends: calligra-libs (= ${binary:Version}),
         calligra-gemini-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Homepage: https://www.calligra.org/gemini/
Description: unified interface for stage and words

=== debian/rules ===
--- 
+++ 
@@ -25,30 +25,16 @@
 	dh_auto_install
 	# Remove development symlinks of libraries
 	find debian/tmp/usr/lib -name '*.so' -type l -print -delete
-	# Remove mimetypes already provided by shared-mime-info
-	rm -f debian/tmp/usr/share/mime/packages/msooxml-all.xml
-	rm -f debian/tmp/usr/share/mime/packages/x-iwork-keynote-sffkey.xml
-	# Remove fonts already in fonts-lyx package
-	rm -f debian/tmp/usr/share/calligra_shape_formula/fonts/cmex10.ttf
 	# Remove stuff belonging to unported calligraflow
 	rm -f debian/tmp/usr/lib/*/qt5/plugins/calligra/formatfilters/calligra_filter_vsdx2odg.so
 	rm -f debian/tmp/usr/lib/*/qt5/plugins/calligra/formatfilters/calligra_filter_wpg2odg.so
 	rm -f debian/tmp/usr/share/kservices5/flow_vsdx_thumbnail.desktop
 	rm -f debian/tmp/usr/share/kservices5/flow_wpg_thumbnail.desktop
-	# Remove x-test "translations"
-	rm -fr debian/tmp/usr/share/locale/x-test
 	# Remove translations of stuff not shipped
 	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/braindump.mo
 	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_semanticitem_*.mo
 	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_comment.mo
 	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/calligra_shape_template.mo
-	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/flow.mo
-
-override_dh_missing:
-	dh_missing --list-missing
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vcalligra:oldLangs='$(l10npkgs_packages_rels)'

## calligra 3.2.1%2Bdfsg

=== tests/CMakeLists.txt ===

if (CMAKE_SYSTEM_NAME STREQUAL "Linux")
    find_program(BASH_PROGRAM bash)
    find_program(XGETTEXT_PROGRAM xgettext)
    find_program(MSGCAT_PROGRAM msgcat)

    if (BASH_PROGRAM AND XGETTEXT_PROGRAM AND MSGCAT_PROGRAM)
        macro(CALLIGRA_ADD_TEST_COMMAND _TEST_NAME)
            add_test(${_TEST_NAME} ${BASH_PROGRAM} "${CMAKE_CURRENT_SOURCE_DIR}/${_TEST_NAME}.sh"
                                    "${CMAKE_SOURCE_DIR}/kundo2_aware_xgettext.sh"
                                    "${XGETTEXT_PROGRAM}"
                                    "${MSGCAT_PROGRAM}"
                                    "${CMAKE_CURRENT_BINARY_DIR}/po"
            )
        endmacro()
        macro(CALLIGRA_ADD_UNIT_TEST _TEST_NAME)
            add_custom_target(${_TEST_NAME} ALL
                COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/${_TEST_NAME}.cpp" "${CMAKE_CURRENT_BINARY_DIR}/${_TEST_NAME}.cpp"
                COMMENT "Copy test files" VERBATIM
            )
            CALLIGRA_ADD_TEST_COMMAND(${_TEST_NAME})
        endmacro()

        # create the podir
        add_custom_target(podir ALL
            COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/po
            COMMENT "Create podir" VERBATIM)
        # copy parameters script
        add_custom_target(parameters ALL
            COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/parameters.sh ${CMAKE_CURRENT_BINARY_DIR}/parameters.sh
            COMMENT "Copy parameters script" VERBATIM)

        # add tests here
        CALLIGRA_ADD_UNIT_TEST(test_i18n)
        CALLIGRA_ADD_UNIT_TEST(test_i18nc)
        CALLIGRA_ADD_UNIT_TEST(test_i18nc_long)

        CALLIGRA_ADD_UNIT_TEST(test_i18np)
        CALLIGRA_ADD_UNIT_TEST(test_i18n_noop)
        CALLIGRA_ADD_UNIT_TEST(test_i18n_noop2)

        CALLIGRA_ADD_UNIT_TEST(test_xi18n)
        CALLIGRA_ADD_UNIT_TEST(test_xi18nc)
        CALLIGRA_ADD_UNIT_TEST(test_xi18nc_long)
        CALLIGRA_ADD_UNIT_TEST(test_xi18np)
        CALLIGRA_ADD_UNIT_TEST(test_xi18ncp)

        CALLIGRA_ADD_UNIT_TEST(test_kundo2_i18n)
        CALLIGRA_ADD_UNIT_TEST(test_kundo2_i18nc)
        CALLIGRA_ADD_UNIT_TEST(test_kundo2_i18nc_long)

        # this uses cpp files from earlier tests
        CALLIGRA_ADD_TEST_COMMAND(test_i18n_mixed)

        # add test of Messages.sh
        add_test(test_Messages ${BASH_PROGRAM} "${CMAKE_CURRENT_SOURCE_DIR}/test_messages.sh" "${CMAKE_SOURCE_DIR}")

    endif(BASH_PROGRAM AND XGETTEXT_PROGRAM AND MSGCAT_PROGRAM)

endif(CMAKE_SYSTEM_NAME STREQUAL "Linux")

=== filters/libmsooxml/CMakeLists.txt ===
if(Qca-qt5_FOUND)
    add_definitions( -DHAVE_QCA2 )
endif()

# TEMPORARY: for std::auto_ptr deprecation warnings are only annoying noise
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
    add_definitions(-Wno-deprecated-declarations)
endif ()

include_directories(
    ${KOMAIN_INCLUDES}
    ${KOODF2_INCLUDES} # For charts
    ${CMAKE_CURRENT_SOURCE_DIRECTORY}
    ${CMAKE_SOURCE_DIR}/filters/libmso # For NumberFormatParser
    ${CMAKE_SOURCE_DIR}/filters/sheets/xlsx # For ChartExport  FIXME: Remove when moved to libodf2
)

########### next target ###############

set(msooxml_LIB_SRCS
    MsooXmlDebug.cpp
    MsooXmlGlobal.cpp
    MsooXmlUtils.cpp
    MsooXmlReader.cpp
    MsooXmlCommonReader.cpp
    MsooXmlThemesReader.cpp
    MsooXmlRelationshipsReader.cpp
    MsooXmlRelationships.cpp
    MsooXmlImport.cpp
    MsooXmlDocPropertiesReader.cpp
    MsooXmlDiagramReader.cpp
    MsooXmlDiagramReader_p.cpp
    ooxml_pole.cpp
    MsooXmlDrawingTableStyleReader.cpp
    MsooXmlDrawingTableStyle.cpp
    MsooXmlTableStyle.cpp
    VmlDrawingReader.cpp
    PredefinedShapeHelper.cpp
    ComplexShapeHandler.cpp
    ${CMAKE_SOURCE_DIR}/filters/sheets/xlsx/XlsxChartOdfWriter.cpp
    # TODO: move back to kolibs
    KoOdfExporter.cpp
)

add_library(komsooxml SHARED ${msooxml_LIB_SRCS})
generate_export_header(komsooxml BASE_NAME komsooxml)

target_link_libraries(komsooxml
    PUBLIC
        mso
        koodf2
        komain
    PRIVATE
        KF5::Archive
    )
if(Qca-qt5_FOUND)
   target_link_libraries(komsooxml PRIVATE qca-qt5)
endif()

set_target_properties(komsooxml PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
install(TARGETS komsooxml ${INSTALL_TARGETS_DEFAULT_ARGS})

if (FALSE) # these headers are private for now
install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/komsooxml_export.h
    MsooXmlContentTypes.h
    MsooXmlReader.h
    MsooXmlReader_p.h
    MsooXmlCommonReaderImpl.h
    MsooXmlCommonReader.h
    MsooXmlCommonReaderMethods.h
    MsooXmlSchemas.h
    MsooXmlThemesReader.h
    MsooXmlTheme.h
    MsooXmlUtils.h
    MsooXmlRelationships.h
    MsooXmlImport.h
    MsooXmlCommentsReader.h
    MsooXmlDocPropertiesReader.h
    MsooXmlNotesReader.h
    MsooXmlDiagramReader.h
    MsooXmlDiagramReader_p.h
    MsooXmlDrawingTableStyleReader.h
    MsooXmlDrawingTableStyle.h
    MsooXmlDrawingMLShared.h
    MsooXmlDrawingMLSharedImpl.h
    VmlDrawingReader.h
    ComplexShapeHandler.h
    PredefinedShapeHelper.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/msooxml COMPONENT Devel
)
endif ()

=== libs/vectorimage/libwmf/CMakeLists.txt ===


include_directories( ${KOMAIN_INCLUDES} )


########### next target ###############

#set(kwmf_LIB_SRCS kwmf.cc qwmf.cc )
#
#
#add_library(kwmf SHARED ${kwmf_LIB_SRCS})
#
#target_link_libraries(kwmf   Qt5::Gui)
#
#set_target_properties(kwmf PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
#install(TARGETS kwmf  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(libwmf_LIB_SRCS 
   WmfStack.cpp
   WmfDeviceContext.cpp
   WmfParser.cpp 
   WmfAbstractBackend.cpp 
   WmfPainterBackend.cpp

   WmfWriter.cpp
 )

add_library(libwmf SHARED ${libwmf_LIB_SRCS})

target_link_libraries(libwmf   Qt5::Gui)

set_target_properties(libwmf PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
install(TARGETS libwmf  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== filters/odg/wpg/import/CMakeLists.txt ===
include_directories(
    ../../../outputhelper/
    ${LIBODFGEN_INCLUDE_DIRS}
    ${LIBREVENGE_INCLUDE_DIRS}
    ${LIBWPG_INCLUDE_DIRS}
    ${KOMAIN_INCLUDES}
)

set(wpg2odg_PART_SRCS
    WPGImport.cpp
    ../../../outputhelper/StringDocumentHandler.cxx
    ../../../outputhelper/FemtoZip.cxx
    ../../../outputhelper/OutputFileHelper.cxx
)

add_library(calligra_filter_wpg2odg MODULE ${wpg2odg_PART_SRCS})
calligra_filter_desktop_to_json(calligra_filter_wpg2odg calligra_filter_wpg2odg.desktop)

target_link_libraries(calligra_filter_wpg2odg komain ${LIBODFGEN_LIBRARIES} ${LIBREVENGE_LIBRARIES} ${LIBWPG_LIBRARIES})

install(TARGETS calligra_filter_wpg2odg DESTINATION ${PLUGIN_INSTALL_DIR}/calligra/formatfilters)

if(SHOULD_BUILD_FILEMANAGER_THUMBNAIL)
    install(FILES flow_wpg_thumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})
endif()

=== plugins/chartshape/tests/odf/template/CMakeLists.txt ===
set( TestLoading_SRCS TestLoading.cpp ../TestLoadingBase.cpp ../../../ChartDocument.cpp )
chartshape_loading_add_unit_test(@@NAME@@
    ${TestLoading_SRCS}
    LINK_LIBRARIES chartshapecore flake koodf komain Qt5::Test
)

=== debian/changelog ===
calligra (1:3.2.1+dfsg-8build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:48 +1100

calligra (1:3.2.1+dfsg-8build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:01:24 +0000

calligra (1:3.2.1+dfsg-8build2) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:10:32 -0500

calligra (1:3.2.1+dfsg-8build1) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:33:57 +0100

calligra (1:3.2.1+dfsg-8) unstable; urgency=medium

  * Disable the scripting feature, as it requires kross which is not maintained
    anymore:
    - backport upstream commit 919be830a4baa0b92a33d6a5736ad750e8fcb311 to make
      the Kross framework an optional build dependency; patch
      upstream_Make-KF5Kross-optional.patch
    - drop the kross-dev build dependency
    - stop shipping translations of kross modules
    - update install files
    - drop no more needed lintian overrides

 -- Pino Toscano <pino@debian.org>  Sat, 11 Nov 2023 08:42:42 +0100

calligra (1:3.2.1+dfsg-7) unstable; urgency=medium

  * Bump the libkf5doctools-dev build dependency to 5.103.0-2, so we get the fix
    for the kdoctools_install() cmake macro for source paths with special
    characters, such as the '+' in the current version
    - update install files accordingly
  * Update standards version to 4.6.2, no changes needed.
  * Drop general or old bits from README.source.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Mar 2023 22:46:51 +0100

calligra (1:3.2.1+dfsg-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Backport upstream commit 2bbbeb09f9d50f1952fd7f4020ca77a0c932d23b,
    upstream commit 236bacbe13739414e919de868283b0caf2df5d8a,
    upstream commit 6b75bec784c9835c78993349845d8c2ef22ec3de, and
    upstream commit 59eb4d2235b88408accf452421526b6f281cbab0 to fix the build
    with newer versions of Poppler; patches
    upstream_Raise-minimum-poppler-version-to-0.83.0-cleaning-up-.patch,
    upstream_PdfImport-Fix-compile-with-newer-poppler.patch,
    upstream_PdfImport-Fix-compile-with-newer-poppler_2.patch, and
    upstream_SvgOutputDev-Fix-ifdef-version-for-getFont-API-chang.patch
    (Closes: #1012846)
    - bump the required version of Poppler to 0.83.0 accordingly
    - add the libpoppler-qt5-dev build dependency
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Jul 2022 19:14:47 +0200

calligra (1:3.2.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 068cd9aec11052733e393976142516d2190e4564,
    upstream commit 2ac46db52c6ad401f67ae5b5fcd859a5872f0311,
    part of upstream commit 62f510702ef9c34ac50f8d8601a4290ab558464c,
    upstream commit 19584bed9588860047e3bd04e3fd2cf7e36adc3a, and
    upstream commit 2f220c6d1418ce7fa509e0dc598a67e66908cbd3 to fix the build
    with newer versions of ECM, C++, and Poppler; patches
    upstream_Fix-some-more-warnings.patch,
    upstream_Small-CMake-modernization.patch,
    upstream_Update-Cmake-and-deps-Fix-Freetype-and-FontConfig-Li.patch,
    upstream_Remove-old-std-c-11-setting-for-Vc.patch, and
    upstream_Fix-compile-with-newer-versions-of-poppler.patch.
    (Closes: #1007891)
  * Append -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as there are lots of deprecation warnings that make build logs bigger.
  * Update watch file to v4, no changes required.
  * Remove the commented calligraplan, kexi, and krita dependencies from the
    calligra metapackage, as they are no more part of Calligra now.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Mar 2022 11:47:04 +0100

calligra (1:3.2.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Remove the localized documentations of calligrasheets, and calligrastage:
    because of the dfsg repack, the build directory has a "+" in it, and the
    kdoctools_install() CMake macro of kdoctools cannot handle paths with it.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Sep 2021 10:27:37 +0200

calligra (1:3.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop the transitional packages calligra-reports-web-element, and all the
    calligra-l10n-*, no more needed after two Debian stable releases
    (Closes: #987452)
    - drop also the associated l10n breaks/replaces
    - drop the lintian source override for them
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Backport upstream commit c7636fb343c848000300a9429410b74d17a4d54d to fix
    build with newer CMake; patch
    upstream_Partial-update-of-Commit-62f51070-to-make-it-compile.patch
    - bump the cmake build dependency to 3.16 accordingly
  * Bump Standards-Version to 4.6.0, no changes required.
  * Update install files.
  * Clean the color profiles (/usr/share/color/) from debian/tmp: they were
    already not shipped, and this simply make it clearer.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Sep 2021 09:23:42 +0200

calligra (1:3.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the qtdeclarative5-dev build dependency, as it was pulled
    by another package before. (Closes: #963421)
  * Stop exporting QT_SELECT=5 in rules, no more needed.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Jul 2020 11:24:41 +0200

calligra (1:3.2.1+dfsg-1) unstable; urgency=medium
